Self-Hosting Auth
The Supabase Auth Server (GoTrue) is a JSON Web Token (JWT)-based API for managing users and issuing access tokens.
GoTrue is an open-source API written in Golang, that acts as a self-standing API service for handling user registration and authentication for JAM projects. It's based on OAuth2 and JWT and handles user signup, authentication, and custom user data.
Generates an email action link.
post
/admin/generate_linkBody
- dataOptionalobject
- emailOptionalstring
- new_emailOptionalstring
- passwordOptionalstring
- redirect_toOptionalstring
- typeOptionalstring
Response codes
- 200
- 401
Response (200)
{ "action_link": "lorem", "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "email_otp": "lorem", "hashed_token": "lorem", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "redirect_to": "lorem", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null }, "verification_type": "lorem"}{ "type": "object", "properties": { "action_link": { "type": "string", "x-go-name": "ActionLink" }, "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "email_otp": { "type": "string", "x-go-name": "EmailOtp" }, "hashed_token": { "type": "string", "x-go-name": "HashedToken" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "redirect_to": { "type": "string", "x-go-name": "RedirectTo" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "verification_type": { "type": "string", "x-go-name": "VerificationType" } }, "x-go-package": "github.com/netlify/gotrue/api"}Get a user.
get
/admin/users/{user_id}Path parameters
- user_idRequired
The user's id
Response codes
- 200
- 401
Response (200)
{ "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null }}{ "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models"}Update a user.
put
/admin/users/{user_id}Path parameters
- user_idRequired
The user's id
Response codes
- 200
- 401
Response (200)
{ "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null }}{ "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models"}Deletes a user.
delete
/admin/users/{user_id}Path parameters
- user_idRequired
The user's id
Response codes
- 200
- 401
Response (200)
{}List all users.
get
/admin/usersResponse codes
- 200
- 401
Response (200)
{ "aud": "lorem", "users": [ { "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null } } ]}{ "type": "object", "properties": { "aud": { "type": "string", "x-go-name": "Aud" }, "users": { "type": "array", "items": { "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Users" } }, "x-go-package": "github.com/netlify/gotrue/api"}Returns the created user.
post
/admin/usersBody
- app_metadataOptionalobject
- audOptionalstring
- ban_durationOptionalstring
- emailOptionalstring
- email_confirmOptionalboolean
- passwordOptionalstring
- phoneOptionalstring
- phone_confirmOptionalboolean
- roleOptionalstring
- user_metadataOptionalobject
Response codes
- 200
- 401
Response (200)
{ "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null }}{ "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models"}Receives the redirect from an external provider during the OAuth authentication process. Starts the process of creating an access and refresh token.
get
/callbackResponse codes
- 302
The healthcheck endpoint for gotrue. Returns the current gotrue version.
get
/healthResponse codes
- 200
Response (200)
{ "description": "lorem", "name": "lorem", "version": "lorem"}{ "type": "object", "properties": { "description": { "type": "string", "x-go-name": "Description" }, "name": { "type": "string", "x-go-name": "Name" }, "version": { "type": "string", "x-go-name": "Version" } }, "x-go-package": "github.com/netlify/gotrue/api"}Sends an invite link to the user.
post
/inviteBody
- dataOptionalobject
- emailOptionalstring
Response codes
- 200
Response (200)
{}Logs out the user.
post
/logoutResponse codes
- 204
Response (204)
{}Passwordless sign-in method for email or phone.
post
/otpBody
- create_userOptionalboolean
- dataOptionalobject
- emailOptionalstring
- phoneOptionalstring
Response codes
- 200
Response (200)
{}Sends a password recovery email link to the user's email.
post
/recoverBody
- emailOptionalstring
Response codes
- 200
Response (200)
{}Returns the configuration settings for the gotrue server.
get
/settingsResponse codes
- 200
Response (200)
{ "disable_signup": true, "external": { "apple": true, "azure": true, "bitbucket": true, "discord": true, "email": true, "facebook": true, "github": true, "gitlab": true, "google": true, "keycloak": true, "linkedin": true, "notion": true, "phone": true, "saml": true, "slack": true, "spotify": true, "twitch": true, "twitter": true, "workos": true, "zoom": true }, "mailer_autoconfirm": true, "phone_autoconfirm": true, "sms_provider": "lorem"}{ "type": "object", "properties": { "disable_signup": { "type": "boolean", "x-go-name": "DisableSignup" }, "external": { "type": "object", "properties": { "apple": { "type": "boolean", "x-go-name": "Apple" }, "azure": { "type": "boolean", "x-go-name": "Azure" }, "bitbucket": { "type": "boolean", "x-go-name": "Bitbucket" }, "discord": { "type": "boolean", "x-go-name": "Discord" }, "email": { "type": "boolean", "x-go-name": "Email" }, "facebook": { "type": "boolean", "x-go-name": "Facebook" }, "github": { "type": "boolean", "x-go-name": "GitHub" }, "gitlab": { "type": "boolean", "x-go-name": "GitLab" }, "google": { "type": "boolean", "x-go-name": "Google" }, "keycloak": { "type": "boolean", "x-go-name": "Keycloak" }, "linkedin": { "type": "boolean", "x-go-name": "Linkedin" }, "notion": { "type": "boolean", "x-go-name": "Notion" }, "phone": { "type": "boolean", "x-go-name": "Phone" }, "saml": { "type": "boolean", "x-go-name": "SAML" }, "slack": { "type": "boolean", "x-go-name": "Slack" }, "spotify": { "type": "boolean", "x-go-name": "Spotify" }, "twitch": { "type": "boolean", "x-go-name": "Twitch" }, "twitter": { "type": "boolean", "x-go-name": "Twitter" }, "workos": { "type": "boolean", "x-go-name": "WorkOS" }, "zoom": { "type": "boolean", "x-go-name": "Zoom" } }, "x-go-package": "github.com/netlify/gotrue/api" }, "mailer_autoconfirm": { "type": "boolean", "x-go-name": "MailerAutoconfirm" }, "phone_autoconfirm": { "type": "boolean", "x-go-name": "PhoneAutoconfirm" }, "sms_provider": { "type": "string", "x-go-name": "SmsProvider" } }, "x-go-package": "github.com/netlify/gotrue/api"}Password-based signup with either email or phone.
post
/signupBody
- dataOptionalobject
- emailOptionalstring
- passwordOptionalstring
- phoneOptionalstring
Response codes
- 200
Response (200)
{ "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null }}{ "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models"}Signs in a user with a password.
post
/token?grant_type=passwordBody
- emailOptionalstring
- passwordOptionalstring
- phoneOptionalstring
Response codes
- 200
Response (200)
{ "access_token": "lorem", "expires_in": 42, "refresh_token": "lorem", "token_type": "lorem", "user": { "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null } }}{ "description": "AccessTokenResponse represents an OAuth2 success response", "type": "object", "properties": { "access_token": { "type": "string", "x-go-name": "Token" }, "expires_in": { "type": "integer", "format": "int64", "x-go-name": "ExpiresIn" }, "refresh_token": { "type": "string", "x-go-name": "RefreshToken" }, "token_type": { "type": "string", "x-go-name": "TokenType" }, "user": { "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/api"}Refreshes a user's refresh token.
post
/token?grant_type=refresh_tokenBody
- refresh_tokenOptionalstring
Response codes
- 200
Response (200)
{ "access_token": "lorem", "expires_in": 42, "refresh_token": "lorem", "token_type": "lorem", "user": { "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null } }}{ "description": "AccessTokenResponse represents an OAuth2 success response", "type": "object", "properties": { "access_token": { "type": "string", "x-go-name": "Token" }, "expires_in": { "type": "integer", "format": "int64", "x-go-name": "ExpiresIn" }, "refresh_token": { "type": "string", "x-go-name": "RefreshToken" }, "token_type": { "type": "string", "x-go-name": "TokenType" }, "user": { "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/api"}Get information for the logged-in user.
get
/userResponse codes
- 200
- 401
Response (200)
{ "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null }}{ "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models"}Returns the updated user.
put
/userBody
- app_metadataOptionalobject
- dataOptionalobject
- emailOptionalstring
- nonceOptionalstring
- passwordOptionalstring
- phoneOptionalstring
Response codes
- 200
- 401
Response (200)
{ "app_metadata": { "property1": null, "property2": null }, "aud": "lorem", "banned_until": "2021-12-31T23:34:00Z", "confirmation_sent_at": "2021-12-31T23:34:00Z", "confirmed_at": "2021-12-31T23:34:00Z", "created_at": "2021-12-31T23:34:00Z", "email": "lorem", "email_change_sent_at": "2021-12-31T23:34:00Z", "email_confirmed_at": "2021-12-31T23:34:00Z", "id": "fbdf5a53-161e-4460-98ad-0e39408d8689", "identities": [ { "created_at": "2021-12-31T23:34:00Z", "id": "lorem", "identity_data": { "property1": null, "property2": null }, "last_sign_in_at": "2021-12-31T23:34:00Z", "provider": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_id": "fbdf5a53-161e-4460-98ad-0e39408d8689" } ], "invited_at": "2021-12-31T23:34:00Z", "last_sign_in_at": "2021-12-31T23:34:00Z", "new_email": "lorem", "new_phone": "lorem", "phone": "lorem", "phone_change_sent_at": "2021-12-31T23:34:00Z", "phone_confirmed_at": "2021-12-31T23:34:00Z", "reauthentication_sent_at": "2021-12-31T23:34:00Z", "recovery_sent_at": "2021-12-31T23:34:00Z", "role": "lorem", "updated_at": "2021-12-31T23:34:00Z", "user_metadata": { "property1": null, "property2": null }}{ "description": "User respresents a registered user with email/password authentication", "type": "object", "properties": { "app_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "aud": { "type": "string", "x-go-name": "Aud" }, "banned_until": { "type": "string", "format": "date-time", "x-go-name": "BannedUntil" }, "confirmation_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ConfirmationSentAt" }, "confirmed_at": { "description": "For backward compatibility only. Use EmailConfirmedAt or PhoneConfirmedAt instead.", "type": "string", "format": "date-time", "x-go-name": "ConfirmedAt" }, "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "email": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "email_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "EmailChangeSentAt" }, "email_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "EmailConfirmedAt" }, "id": { "type": "string", "format": "uuid", "x-go-name": "ID" }, "identities": { "type": "array", "items": { "type": "object", "properties": { "created_at": { "type": "string", "format": "date-time", "x-go-name": "CreatedAt" }, "id": { "type": "string", "x-go-name": "ID" }, "identity_data": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "provider": { "type": "string", "x-go-name": "Provider" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_id": { "type": "string", "format": "uuid", "x-go-name": "UserID" } }, "x-go-package": "github.com/netlify/gotrue/models" }, "x-go-name": "Identities" }, "invited_at": { "type": "string", "format": "date-time", "x-go-name": "InvitedAt" }, "last_sign_in_at": { "type": "string", "format": "date-time", "x-go-name": "LastSignInAt" }, "new_email": { "type": "string", "x-go-name": "EmailChange" }, "new_phone": { "type": "string", "x-go-name": "PhoneChange" }, "phone": { "type": "string", "x-go-package": "github.com/netlify/gotrue/storage" }, "phone_change_sent_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneChangeSentAt" }, "phone_confirmed_at": { "type": "string", "format": "date-time", "x-go-name": "PhoneConfirmedAt" }, "reauthentication_sent_at": { "type": "string", "format": "date-time", "x-go-name": "ReauthenticationSentAt" }, "recovery_sent_at": { "type": "string", "format": "date-time", "x-go-name": "RecoverySentAt" }, "role": { "type": "string", "x-go-name": "Role" }, "updated_at": { "type": "string", "format": "date-time", "x-go-name": "UpdatedAt" }, "user_metadata": { "type": "object", "additionalProperties": {}, "x-go-package": "github.com/netlify/gotrue/models" } }, "x-go-package": "github.com/netlify/gotrue/models"}Verifies a sign up.
post
/verifyBody
- emailOptionalstring
- phoneOptionalstring
- redirect_toOptionalstring
- tokenOptionalstring
- typeOptionalstring